<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: ddr_wportB Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">ddr_wportB Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ddr_wportB:</div>
<div class="dyncontent">
<div class="center"><img src="classddr__wportB__inherit__graph.png" border="0" usemap="#ddr__wportB_inherit__map" alt="Inheritance graph"/></div>
<map name="ddr__wportB_inherit__map" id="ddr__wportB_inherit__map">
<area shape="rect" id="node3" href="classddr__if.html" title="ddr_if" alt="" coords="24,155,83,181"/><area shape="rect" id="node2" href="classRAM32x6D.html" title="RAM32x6D" alt="" coords="7,5,99,32"/><area shape="rect" id="node4" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="8,229,99,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classddr__wportB-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classddr__wportB_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classddr__wportB.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="memitem:a638db61841484c449397fe11129de31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a638db61841484c449397fe11129de31c"></a>
<a class="el" href="classddr__wportB.html#a638db61841484c449397fe11129de31c">UNIMACRO</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ad8a035eadb3459f7d2a4ae42064710f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8a035eadb3459f7d2a4ae42064710f7"></a>
<a class="el" href="classddr__wportB.html#ad8a035eadb3459f7d2a4ae42064710f7">amc13_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classamc13__pack.html"> &lt;amc13_pack&gt;</a></td></tr>
<tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classddr__wportB.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:aa1cb22e959d47364391e5eb4ef86927c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1cb22e959d47364391e5eb4ef86927c"></a>
<a class="el" href="classddr__wportB.html#aa1cb22e959d47364391e5eb4ef86927c">vcomponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:ae2cad65ae8e6f8651908d36263d90b3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2cad65ae8e6f8651908d36263d90b3c"></a>
<a class="el" href="classddr__wportB.html#ae2cad65ae8e6f8651908d36263d90b3c">memclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff74a6da063d6bc9904a70d517332f09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff74a6da063d6bc9904a70d517332f09"></a>
<a class="el" href="classddr__wportB.html#aff74a6da063d6bc9904a70d517332f09">sysclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae5de5c5aebf7b54ecd36feaba217215"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae5de5c5aebf7b54ecd36feaba217215"></a>
<a class="el" href="classddr__wportB.html#aae5de5c5aebf7b54ecd36feaba217215">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac22aca35bcf4b2dd834bf59e0c14f88c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac22aca35bcf4b2dd834bf59e0c14f88c"></a>
<a class="el" href="classddr__wportB.html#ac22aca35bcf4b2dd834bf59e0c14f88c">resetSys</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ffc7272eb319e36d1c9762d0e0a8cd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ffc7272eb319e36d1c9762d0e0a8cd5"></a>
<a class="el" href="classddr__wportB.html#a9ffc7272eb319e36d1c9762d0e0a8cd5">resetMem</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ade1ded00d5785d147ebeecefb062b152"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade1ded00d5785d147ebeecefb062b152"></a>
<a class="el" href="classddr__wportB.html#ade1ded00d5785d147ebeecefb062b152">test</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2270c8cad87537a933405249436b4996"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2270c8cad87537a933405249436b4996"></a>
<a class="el" href="classddr__wportB.html#a2270c8cad87537a933405249436b4996">test_block_sent</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4a14f5a6b9f591d87bcd5dc17df5ff7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4a14f5a6b9f591d87bcd5dc17df5ff7d"></a>
<a class="el" href="classddr__wportB.html#a4a14f5a6b9f591d87bcd5dc17df5ff7d">test_pause</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0b8fd8cecd29171858d1b4ccbc10c254"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b8fd8cecd29171858d1b4ccbc10c254"></a>
<a class="el" href="classddr__wportB.html#a0b8fd8cecd29171858d1b4ccbc10c254">TCP_din</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86b1119383c7e718b2d4916443414b4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86b1119383c7e718b2d4916443414b4b"></a>
<a class="el" href="classddr__wportB.html#a86b1119383c7e718b2d4916443414b4b">TCP_channel</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3a7bcfb8f06ba9920f5c8599f656c0f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a7bcfb8f06ba9920f5c8599f656c0f8"></a>
<a class="el" href="classddr__wportB.html#a3a7bcfb8f06ba9920f5c8599f656c0f8">TCP_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7436157220336f01a75c4e411501adf7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7436157220336f01a75c4e411501adf7"></a>
<a class="el" href="classddr__wportB.html#a7436157220336f01a75c4e411501adf7">TCP_wcount</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a628d4d962172eee279f09711cce306f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a628d4d962172eee279f09711cce306f6"></a>
<a class="el" href="classddr__wportB.html#a628d4d962172eee279f09711cce306f6">ipb_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a81d7c1fff00a3d9181db13ac1e8e935f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81d7c1fff00a3d9181db13ac1e8e935f"></a>
<a class="el" href="classddr__wportB.html#a81d7c1fff00a3d9181db13ac1e8e935f">ipb_write</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9afe642ceda192cc4a4e719ee49d152d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9afe642ceda192cc4a4e719ee49d152d"></a>
<a class="el" href="classddr__wportB.html#a9afe642ceda192cc4a4e719ee49d152d">ipb_strobe</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9c91cc71e86ef5a6381487a56a4846e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9c91cc71e86ef5a6381487a56a4846e"></a>
<a class="el" href="classddr__wportB.html#aa9c91cc71e86ef5a6381487a56a4846e">ipb_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab4ec577c3da9dd5d2a3c3f0b1f7989ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4ec577c3da9dd5d2a3c3f0b1f7989ad"></a>
<a class="el" href="classddr__wportB.html#ab4ec577c3da9dd5d2a3c3f0b1f7989ad">ipb_wdata</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed1717b9b427557509f537e763a24a14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed1717b9b427557509f537e763a24a14"></a>
<a class="el" href="classddr__wportB.html#aed1717b9b427557509f537e763a24a14">ipb_ack</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a936818b8a0735a61fee678d88f28bc32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a936818b8a0735a61fee678d88f28bc32"></a>
<a class="el" href="classddr__wportB.html#a936818b8a0735a61fee678d88f28bc32">run</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2bf3b4bd4b17132ff55870c73eb6d4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2bf3b4bd4b17132ff55870c73eb6d4c"></a>
<a class="el" href="classddr__wportB.html#ae2bf3b4bd4b17132ff55870c73eb6d4c">app_rqst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac398b8aa918b414e9f256029dadaa7ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac398b8aa918b414e9f256029dadaa7ab"></a>
<a class="el" href="classddr__wportB.html#ac398b8aa918b414e9f256029dadaa7ab">app_ack</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f086859817b4a7bcf1a59e8c9a8bc9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f086859817b4a7bcf1a59e8c9a8bc9b"></a>
<a class="el" href="classddr__wportB.html#a5f086859817b4a7bcf1a59e8c9a8bc9b">app_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37ad260db2fbfe6d91a5700e65574b9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37ad260db2fbfe6d91a5700e65574b9a"></a>
<a class="el" href="classddr__wportB.html#a37ad260db2fbfe6d91a5700e65574b9a">app_en</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac10fe249616fa4362a0c99a02e8f71e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac10fe249616fa4362a0c99a02e8f71e5"></a>
<a class="el" href="classddr__wportB.html#ac10fe249616fa4362a0c99a02e8f71e5">app_wdf_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a21f204c9fe3d22c9010509189757f267"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21f204c9fe3d22c9010509189757f267"></a>
<a class="el" href="classddr__wportB.html#a21f204c9fe3d22c9010509189757f267">app_wdf_wren</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6bded23e0b0b1f887e6c9237900fec74"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bded23e0b0b1f887e6c9237900fec74"></a>
<a class="el" href="classddr__wportB.html#a6bded23e0b0b1f887e6c9237900fec74">app_wdf_mask</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c935543c634adeabff52e9dfc5ed5c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c935543c634adeabff52e9dfc5ed5c4"></a>
<a class="el" href="classddr__wportB.html#a7c935543c634adeabff52e9dfc5ed5c4">app_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">23</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a82f8a510b5393954da6ecc51c6d32c2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a82f8a510b5393954da6ecc51c6d32c2f"></a>
<a class="el" href="classddr__wportB.html#a82f8a510b5393954da6ecc51c6d32c2f">dout</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae533911eac799766fba1a92efa7b21fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae533911eac799766fba1a92efa7b21fb"></a>
<a class="el" href="classddr__wportB.html#ae533911eac799766fba1a92efa7b21fb">debug_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="ddr__wportB_8vhd_source.html#l00038">38</a> of file <a class="el" href="ddr__wportB_8vhd_source.html">ddr_wportB.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/DDR/<a class="el" href="ddr__wportB_8vhd_source.html">ddr_wportB.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
